qpid::framing::SequenceNumber Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
qpid::framing::SequenceNumber Class Reference

4-byte sequence number that 'wraps around'. More...

`#include <qpid/framing/SequenceNumber.h>`

List of all members.

## Public Member Functions
| SequenceNumber (uint32_t v=0)
SequenceNumber & | operator++ ()
SequenceNumber & | operator-- ()
bool | operator== (const SequenceNumber &other) const
bool | operator< (const SequenceNumber &other) const
uint32_t | getValue () const
| operator uint32_t () const
void | encode (Buffer &buffer) const
void | decode (Buffer &buffer)
uint32_t | encodedSize () const
template<class S >
void | serialize (S &s)
## Friends
int32_t | operator- (const SequenceNumber &a, const SequenceNumber &b)

## Detailed Description

4-byte sequence number that 'wraps around'.

## Constructor & Destructor Documentation

qpid::framing::SequenceNumber::SequenceNumber | ( | uint32_t | v = `0` | ) | `[inline]`

Definition at line 46 of file SequenceNumber.h.

## Member Function Documentation

void qpid::framing::SequenceNumber::decode | ( | Buffer & | buffer | ) |

void qpid::framing::SequenceNumber::encode | ( | Buffer & | buffer | ) | const

uint32_t qpid::framing::SequenceNumber::encodedSize | ( |  | ) | const

uint32_t qpid::framing::SequenceNumber::getValue | ( |  | ) | const`[inline]`

Definition at line 52 of file SequenceNumber.h.

qpid::framing::SequenceNumber::operator uint32_t | ( |  | ) | const`[inline]`

Definition at line 53 of file SequenceNumber.h.

SequenceNumber& qpid::framing::SequenceNumber::operator++ | ( |  | ) | `[inline]`

Definition at line 48 of file SequenceNumber.h.

SequenceNumber& qpid::framing::SequenceNumber::operator-- | ( |  | ) | `[inline]`

Definition at line 49 of file SequenceNumber.h.

bool qpid::framing::SequenceNumber::operator< | ( | const SequenceNumber & | other | ) | const`[inline]`

Definition at line 51 of file SequenceNumber.h.

bool qpid::framing::SequenceNumber::operator== | ( | const SequenceNumber & | other | ) | const`[inline]`

Definition at line 50 of file SequenceNumber.h.

template<class S >

void qpid::framing::SequenceNumber::serialize | ( | S & | s | ) | `[inline]`

Definition at line 59 of file SequenceNumber.h.

## Friends And Related Function Documentation

int32_t operator- | ( | const SequenceNumber & | a,
|  | const SequenceNumber & | b
| ) |  | `[friend]`

Definition at line 64 of file SequenceNumber.h.

The documentation for this class was generated from the following file:

- qpid/framing/SequenceNumber.h